Fatal error: require(): Failed opening required '/workspace/lib/mysqli.php'

Fatal error: require(): Failed opening required '/workspace/lib/mysqli.php'

Katy BKaty B Posts: 2Questions: 1Answers: 0

I have datatables working fine in my PHP 7.3 on Google App Engine Standard with Google Cloud MySQL 5.7. I am trying to install Editor and get the following error when I try and am at a loss as to what I need to do.

Warning: require(/workspace/lib/mysqli.php): failed to open stream: No such file or directory in /workspace/lib/Bootstrap.php on line 46

Fatal error: require(): Failed opening required '/workspace/lib/mysqli.php' (include_path='.:/usr/lib/php') in /workspace/lib/Bootstrap.php on line 46

I don't see the file mysqli.php in the downloaded lib folder.

Answers

  • Katy BKaty B Posts: 2Questions: 1Answers: 0

    So the above error was self-induced and I am on to the next error trying to get Editor working with my Google App Engine/ Google Cloud SQL. "DataTables warning: table id=admin_sessions_table - An error occurred while connecting to the database 'xxx'. The error reported by the server was: SQLSTATE[HY000] [2002] php_network_getaddresses: getaddrinfo failed: Temporary failure in name resolution". Is there someone who could help with connecting Editor to MySQL 5.7 on Google Cloud SQL?

  • allanallan Posts: 53,761Questions: 1Answers: 8,360 Site admin

    Hi Katy,

    We've been discussing issue this over e-mail, but just in case anyone else runs into this issue, from the error it sounds like the host isn't resolving. It might need to be 127.0.0.1 if the MySQL instance can be accessed from the localhost where the PHP script is running.

    Allan

Sign In or Register to comment.